#pragma once

#include "response.h"

class Badge: public Response {
    friend class Response;
public:
    enum class Kind {
        allStatic
    };

    ~Badge() override;

    void writeBody(std::ostream & out) const override;
    void writeHeader(std::ostream & out) const override;

protected:
    Badge(Kind kind, const std::string& title = "", const std::string& value = "", const std::string& color = "");

protected:
    Kind kind;
    std::string title;
    std::string value;
    std::string color;
};
