#include "notfound.h"

NotFound::NotFound():
    Response(Type::error)
{}

NotFound::~NotFound() {}

void NotFound::writeHeader(std::ostream& out) const {
    out << status404Header << newLine;
    out << contentTypeHTML << newLine;
    out << headerTerminator;
}

void NotFound::writeBody(std::ostream& out) const {
    out << "Page you're requesting was not found" << newLine;
}
